@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");
/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.light-style .menu .app-brand.demo {
  height: 64px;
}

.dark-style .menu .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo svg {
  width: 38px;
  height: 20px;
}
.sl-toast-stack {
/*  position:aboslute;*/
  left: 50%;
  top:20px;
  transform: translateX(-50%);
  height: auto;
/*  top: auto;*/
  z-index: 100000000 !important;
}
.ql-toolbar{
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}
.ql-container{
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  overflow: hidden;
}
/*tiny mce editor*/


/*tiny mce editor*/
.completed,.followed{
  background: #eeeeee;
  border: 1px solid #eeeeee;
  color: black;
}
.quote_error_msg{
  font-size: 13px;
  color: red;
  line-height: 15px;
  margin-top: 5px;
  display: inline-block;
}
/*.btn-primary.completed:hover{
  background-color: #eeeeee !!important;
  border-color:#eeeeee !!important;
  color: black !important;
}*/
.task-box,#documents ul{
  padding-inline-start: 0;
}
.task-box li,#documents li{
  list-style: none;
}
.nano input{
  display: block;
  float: left;
  height: 48px;
  overflow: hidden;
}
@keyframes blink {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 1; }
}

.blink {
    animation: blink 1s infinite; /* Adjust the duration as needed */
}
.nano input[type="text"] {
  padding: 20px;
}

.nano input[type="text"]:invalid{
  outline: 2px solid red;
}
.app-brand-text.demo {
  font-size: 1.25rem;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}
.timeline li:last-child {
  border-left: none !important;
}
.timeline .timeline-item .timeline-point{
  background-color:#666cff !important;
}
/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1.25rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 300px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}
/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1.25rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1.25rem;
}
.label-color{
  height: 45px;
  border-radius:10px;
  width: auto;
  display: inline-block;
  line-height: 25px;
  color: white;
  padding: 10px;
}
.label-box{
  width: 100%;
  padding: 10px;
  background: white;
  display: flex;
  justify-content: flex-end;
  align-items: end;
}
.label-box h6{
  margin-top: 10px;
  text-align: center;
  margin-bottom: 0;
}
.gallery-img-box{
  padding: 10px;
  border:1px solid lightgrey;
  border-radius: 8px;
  width: 120px;
  position: relative;
  margin:5px;
}
.gallery-img-box .delete-img{
  background: transparent;
  border:none;
  box-shadow: none;
  outline: none;
  color: red;
  position: absolute;
  top: -10px;
  right: -10px;
}
.gallery-img-box img{
  border-radius: 8px;
}
.bs-example:after{
  content: 'Select Icon For Category' !important;
}
.radio-group {
  display: flex;
  flex-direction: column;
}
.slots{
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.radio-label {
  /*display: flex;
  align-items: center;*/
  padding: 0.4em 0.5em;
  margin-bottom: 8px;
  margin-right: 8px;
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 8px;
  transition: background-color 0.2s, border-color 0.2s;
  width: 120px;
  text-align: center;
}
.radio-label:hover {
  background-color: #e6e6e6;
}
.radio-input {
  position: absolute;
  opacity: 0;
}
.radio-input[disabled] {
    background-color: #f0f0f0; /* Example: Light grey background */
    cursor: not-allowed; /* Example: Show 'not-allowed' cursor */
/*    opacity: 0.5; /* Example: Reduce opacity */*/
}
.radio-label.disabled{
  background-color: #f0f0f0; /* Example: Light grey background */
    cursor: not-allowed;
}
/*.radio-label[for^="radio"]:has(.radio-input[disabled]) {
    color: #999999; /* Example: Grey out the label text */
}*/
.radio-input:checked + .radio-label {
  background-color: #e0e2ff;
  border-color: #666cff;
}
.radio-input:focus + .radio-label, .radio-label.selected {
/*  outline: 2px solid #666cff;*/
  background: #666cff;
  color: white;
}
.radio-inner-circle {
  display: inline-block;
  width: 1em;
  height: 1em;
  border: 2px solid #888;
  border-radius: 50%;
  margin-right: 0.5em;
  transition: border-color 0.2s;
  position: relative;
  display: none;
}
.radio-label:hover .radio-inner-circle {
  border-color: #555;
}
.radio-input:checked + .radio-label .radio-inner-circle {
  border-color: #666cff;
}
.radio-input:checked + .radio-label .radio-inner-circle::after {
  content: '';
  display: block;
  width: 0.5em;
  height: 0.5em;
  background-color: #666cff;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.booked{
  background-color: #464646 !important;
  color: white;
}
.blocked{
  border:2px solid #e43d3d !important;
}
.booked-name,.booked-date,.booked-slot {
  font-weight: bold;
}